package domain

type TaobaoItemOriginAsyncApiResult struct {
	/*
	   错误码code     */
	MappedErrorCodes *string `json:"mapped_error_codes,omitempty" `

	/*
	   执行结果     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误描述     */
	MappedErrorMessages *string `json:"mapped_error_messages,omitempty" `
}

func (s *TaobaoItemOriginAsyncApiResult) SetMappedErrorCodes(v string) *TaobaoItemOriginAsyncApiResult {
	s.MappedErrorCodes = &v
	return s
}
func (s *TaobaoItemOriginAsyncApiResult) SetSuccess(v bool) *TaobaoItemOriginAsyncApiResult {
	s.Success = &v
	return s
}
func (s *TaobaoItemOriginAsyncApiResult) SetMappedErrorMessages(v string) *TaobaoItemOriginAsyncApiResult {
	s.MappedErrorMessages = &v
	return s
}
